Update Agent Public Access
Update Agent Public Access — Taskade REST API v1 reference: PUT /agents/{agentId}/publicAccess. Parameters, authentication, and response schema.
put
Enable public access in the agent
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
agentIdstringRequired
Responses
200
Public access successfully enabled
application/json
Public access successfully enabled
okboolean · enumRequiredPossible values:
publicUrlstring · uriRequired
4XX
Error description
application/json
put/agents/{agentId}/publicAccess
PUT /api/v1/agents/{agentId}/publicAccess HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"ok": true,
"publicUrl": "https://example.com"
}Last updated
Was this helpful?